import * as React from 'react';
/**
 * 静态树
*/
export interface TreeData {
    [propName: string]: any;
    children?: TreeData[];
}
export interface TreePanelOpts {
    /**
     * 树使用的数据， 是一个对象数组
    */
    treeData: TreeData[];
    /**
     * 树显示名称的字段 ，默认为 `name`
    */
    nameField?: string;
    /**
     * 树取值的字段，默认为 `value`
    */
    valueField?: string;
    /**
     * 树显示Icon字段 ，默认为空，传入后，以此字段显示图标
    */
    iconField?: string;
    /**
     * 选中后的回调函数
    */
    onSelect: Function;
    /**
     * 是否必须选择一项？
    */
    mustSelect?: boolean;
    /**
     * 默认选择
    */
    defaultSelect?: string | number;
    /**
     * 过滤条件
     *  */
    searchValue?: string;
}
export default class extends React.PureComponent<TreePanelOpts> {
    nameField: string;
    valueField: string;
    iconField: string;
    mustSelect: boolean;
    Searched: Set<string>;
    state: {
        selectedKeys: any[];
        expandedKeys: any[];
    };
    constructor(props: any);
    componentDidMount(): void;
    findChildren(key: any, children: any, ...parents: any[]): void;
    findSub(key: any, sub: any, ...parents: any[]): void;
    buildNode(param: any, item: any): JSX.Element;
    renderNode(item: any): JSX.Element;
    renderTree(data: any): any;
    selectNode(selectedKeys: string[], evt?: any): void;
    render(): JSX.Element;
}
